.\" describe.man -	Man page for describe
.\"
.\" Copyright (c) 1991 Tim Cook.
.\" Non-profit distribution allowed.  See README for details.
.\"
.\" $Header: describe.man 1.0 91/03/22 $
.\"
.TH DESCRIBE 1 "20 March, 1991"
.UC 4
.SH NAME
describe - Set or list a descriptive comment for a file
.SH SYNOPSIS
.B describe file description
.PP
.B describe -s descriptions-file
[
directory
]
.PP
.B describe -d file ...
.PP
.B describe -l
[
directory
]
.SH DESCRIPTION
.I Describe
sets, deletes or lists file descriptions, as used by the
.I dls
utility.
To set the description on one file, use the first form shown above.
To set descriptions on a number of files, put the descriptions into a file,
then use the -s option as shown above
(leaving off
.I directory
implies the current directory).  If you use a hyphen (-) as the name of the
descriptions file,
.I describe
will read standard input for the list of descriptions.
To delete the description for one or more files, use the -d option as shown
above.
To list all the descriptions set for files in a directory, use the -l option
(again, leaving off
.I directory
means the current directory).
.PP
A description-file is a simple text file.
Each line should list the file name (quoted with double quotes if it
contains white-space), followed by white-space, followed by the
description.
The description itself may contain white-space, and is only terminated
by an end-of-line.
Comments may appear in a description file, as a line that starts with a
hash (#) character.
.PP
Descriptions are stored in DBM files.
Each description is keyed by the file name, and the file name is also
keyed by the file's inode-number.
This means that renaming or editing the file in the same directory will
not mean the loss of its description.
If you wish to ``optimize'' the description database of a directory,
you can do so in the following manner:
.PP
.nf
	% describe -l > /tmp/descriptions
	% rm .desc.*
	% describe -s /tmp/descriptions
.fi
.SH FILES
For each directory, a .desc.pag and .desc.dir (DBM files) are used to
store descriptions.
.SH SEE\ ALSO
dls(1).
