.\" dls.man -	Man page for descriptive ls
.\"
.\" Copyright (c) 1991 Tim Cook.
.\" Non-profit distribution allowed.  See README for details.
.\"
.\" $Header: dls.man 1.0 91/03/22 $
.\"
.TH DLS 1 "20 March, 1991"
.UC 4
.SH NAME
dls \- Descriptive ls
.SH SYNOPSIS
.B dls
[
flags
] [
file ...
]
.SH DESCRIPTION
.I Dls
lists files and directories in the manner of ls(1), but includes a
descriptive comment for each file that has a description set.
By default,
.I dls
lists the file name, size of the file in bytes and the description.
If the file is a directory, a hyphen (-) is shown instead of the size,
and if the file is a directory that contains other directories, an equals
sign (=) is shown.
.PP
Descriptions are set by
.I describe
and are stored in a hidden file in the same directory as the files for
which descriptions are held.
.\" The descriptions are matched to files by name
.\" and inode-number, so renaming or editing the file in the same directory
.\" will not cause the loss of its description.
.PP
Options:
.TP 1i
.B \-d
List the date and time of each file.  The last modification date and time
are listed after the file size, in the same format used by ls(1).
.TP 1i
.B \-e
List everything, even inaccessible files.
By default, files that cannot be read or executed are ignored.
.TP 1i
.B \-t
Sort by last modification time.  Most recently modified files come first.
.TP 1i
.BI \-f width
Use a maximum of
.I width
columns to display the file name.
If a file name is longer than
.I width,
it may expand into the area used to show the size.
If this overflows, the size and other information will be listed on a
separate line.
.SH FILES
For each directory, a .desc.pag and .desc.dir (DBM files) are used to
store descriptions.
.SH SEE\ ALSO
ls(1), describe(1).
